Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157222 - Use 'advisory_name' and 'revision' instead of 'fulladvisory' from data pushed by errata tool
Summary: Use 'advisory_name' and 'revision' instead of 'fulladvisory' from data pushed...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Backend
Version: RHN Stable
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Max Spevack
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-09 15:37 UTC by David Lawrence
Modified: 2007-04-18 17:25 UTC (History)
1 user (show)

Fixed In Version: RHN 4.0.0
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-01 03:10:37 UTC


Attachments (Terms of Use)

Description David Lawrence 2005-05-09 15:37:36 UTC
Description of problem:
Errata Task Force has asked to start using advisory names with out the revision
in all of the errata tool. I will create a new field called 'advisory_name' that
will be in the form RH(B|A|E)-XXXX:XXX{X} without the revision number. That way
'fulladvisory' can be slowly phased out with the next live push and use
'advisory_name' and 'revision' instead to figure out the identity of the errata
push.

Comment 1 David Lawrence 2005-05-09 20:42:19 UTC
Also several other fields have changed as well.

references -> reference
type -> errata_type
cross -> cross ref

I have implemented some hacks to still send the old fields properly as well but
I would like to move away from them if possible since they are keywords in PgSQL
that are not allowed.

Dave 

Comment 2 Mihai Ibanescu 2005-05-17 14:22:56 UTC
We don't display cross at all in RHN currently.

Fixed in rhns-4.0.0-53 and newer, and changing QA owner to dkl.

Comment 3 Max Spevack 2005-08-05 17:07:09 UTC
Haven't heard any complaints from dkl in 2.5 months, so PROD_READY this baby.

Comment 4 David Lawrence 2005-08-05 17:17:17 UTC
No complaints from this end so far.


Note You need to log in before you can comment on or make changes to this bug.